Bug 204234 - BrowseAddress wrong
BrowseAddress wrong
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2006-08-27 09:40 EDT by Bob T.
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-15 11:29:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob T. 2006-08-27 09:40:49 EDT
Description of problem: Client machines on the network weren't getting Browsed
queues  until I changed BrowseAddress on the server from to

Version-Release number of selected component (if applicable):

Steps to Reproduce:

1. start system-config-printer on a local client

2. don't observe Browsed queues

3. edit BrowseAddress line in /etc/cups/cupsd.conf on the server to use @LOCAL
and re-start cupsd

4. restart system-config-printer on a local client and observe Browsed queues as

Additional info: The bug is that subsequent uses of system-config-printer will
overwrite cupsd.conf with the useless default BrowseAddress.
Comment 1 Bob T. 2006-08-28 20:25:50 EDT
It seems that a (virtual) printer was configured to have All (the default!) as the
Browse Allow address and this has the effect of producing as the
only BrowseAddress.  That is, allowing anyone to Browse one printer ensures that
no printer can be browsed locally.  Is this your intention?  How about some
sensible defaults like @LOCAL for the BrowseAddress.  How about allowing
more than one BrowseAddress.  
Comment 2 Tim Waugh 2006-12-15 11:29:17 EST
The re-written system-config-printer no longer edits BrowseAddress lines in
cupsd.conf unless explicitly told to, just like the CUPS web interface.

Note You need to log in before you can comment on or make changes to this bug.